# People
The project was initiated by Dr. Lawrence Angrave in 2014 and has been continuously developed since by
students and faculty at the [University of Illinois at Urbana-Champaign](http://illinois.edu/).

## Project Leaders
Dr. Lawrence Angrave [![GitHub][github]](https://github.com/angrave)  
Neelabh Gupta [![GitHub][github]](https://github.com/neelabhg) [![Twitter][twitter]](https://twitter.com/neelabhg)

## University of Illinois Students and Researchers
Starting with the Fall 2014 semester, this project has been one of the Non-profit/Research projects in the
[CS Senior Projects](https://seniorprojects.cs.illinois.edu/confluence/display/CourseContent/Senior+Projects+in+CS)
course at the University. Senior Projects (CS 492/493/494) is led and taught by Professor Michael Woodley and is a
two-semester sequence course in which students work in teams on real-world problems for real-world clients.
Dr. Angrave is the client and liaison for this project.

### 2015-16 Senior Projects Team
TODO: Add team members here

### 2014-15 Senior Projects Team
Anant Singh [![GitHub][github]](https://github.com/anant-singh)  
Eric Ahn [![GitHub][github]](https://github.com/wchill)  
Joseph Tran [![GitHub][github]](https://github.com/jdtran23)  
Keagan McClelland [![GitHub][github]](https://github.com/CaptJakk)  
Neelabh Gupta [![GitHub][github]](https://github.com/neelabhg) [![Twitter][twitter]](https://twitter.com/neelabhg)  
Scott Walters [![GitHub][github]](https://github.com/scowalt)  
Siddharth Seth [![GitHub][github]](https://github.com/siddharth-seth)

## Other contributors
See the list of GitHub contributors for the [sysbuild](https://github.com/cs-education/sysbuild/graphs/contributors)
and [sysassets](https://github.com/cs-education/sysassets/graphs/contributors) repositories.

# Open source projects
Amazing projects without which this project would not have been possible:

* The virtual machine embedded in the browser is forked from the [jor1k](https://github.com/s-macke/jor1k) project.
  The project's creator, [Sebastian Macke](https://github.com/s-macke), has been very helpful and responsive in
  supporting us and our use case with his project. The contributions to jor1k made by
  [its contributors](https://github.com/s-macke/jor1k/graphs/contributors) have also been very helpful.

* The code editor is powered by [Ace](https://ace.c9.io/).

* Captions in lecture videos are obtained using the [Class Transcribe](https://github.com/cs-education/classTranscribe)
  project, also developed by students and faculty at the [University of Illinois](http://illinois.edu/).

* [Knockout.js](http://knockoutjs.com/) has been very helpful in managing the complexity of the code base.

* [Yeoman](http://yeoman.io/) saved a lot of time and effort in bootstrapping the project.

* Have a look at our [Bower](bower.json) and [npm](package.json) dependencies for a list of the many other libraries
  and tools that have made this project possible.


<!-- Social icons from https://github.com/carlsednaoui/gitsocial -->
<!-- no need to change these -->

<!-- icons with padding -->
[github-padding]: https://i.imgur.com/0o48UoR.png (GitHub)
[twitter-padding]: https://i.imgur.com/tXSoThF.png (Twitter)
[facebook-padding]: https://i.imgur.com/P3YfQoD.png (Facebook)
[googleplus-padding]: https://i.imgur.com/yCsTjba.png (Google+)
[tumblr-padding]: https://i.imgur.com/YckIOms.png (Tumblr)
[dribbble-padding]: https://i.imgur.com/1AGmwO3.png (Dribbble)

<!-- icons without padding -->
[github]: https://i.imgur.com/9I6NRUm.png (GitHub)
[twitter]: https://i.imgur.com/wWzX9uB.png (Twitter)
[facebook]: https://i.imgur.com/fep1WsG.png (Facebook)
[googleplus]: https://i.imgur.com/VlgBKQ9.png (Google+)
[tumblr]: https://i.imgur.com/jDRp47c.png (Tumblr)
[dribbble]: https://i.imgur.com/Vvy3Kru.png (Dribbble)
