# sysbuild
[![Build Status](https://travis-ci.org/cs-education/sysbuild.svg?branch=master)](https://travis-ci.org/cs-education/sysbuild)
[![Dependency Status](https://gemnasium.com/cs-education/sysbuild.svg)](https://gemnasium.com/cs-education/sysbuild)
[![HuBoard task board for this project](https://img.shields.io/badge/Hu-Board-7965cc.svg)](https://huboard.com/cs-education/sysbuild)
[![Join the chat at https://gitter.im/cs-education/sysbuild](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/cs-education/sysbuild?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)

This is the main repository for the browser-based system programming learning environment developed at the [University of Illinois](http://illinois.edu/).
Also known as the Linux-in-a-browser project, this tool is used in the [CS 241 (System Programming)](https://courses.engr.illinois.edu/cs241/) course
at the University.

View the project running live [here](https://cs-education.github.io/sys/).

## Bugs and feature requests
Use the [issue tracker](https://github.com/cs-education/sysbuild/issues) to submit bug reports and feature requests.
Please see the [issue guidelines](CONTRIBUTING.md#using-the-issue-tracker) for helpful information.

## Community and Collaboration
* We have an official public chat room on [Gitter](https://gitter.im/). You can use it to chat with the project team,
  discuss ideas, and ask for help. You can join the chat [here](https://gitter.im/cs-education/sysbuild) (the Gitter
  badge at the top of this README provides a quick shortcut to the chat room).

* The project team uses [HuBoard](https://huboard.com/) for task management. View the task board
  [here](https://huboard.com/cs-education/sysbuild) to see the status and progress of the project (the HuBoard badge at
  the top of this README provides a quick shortcut to the board).

* The [Project development workflow Wiki page](https://github.com/cs-education/sysbuild/wiki/Project-development-workflow)
  contains information on how the project team works and collaborates.

* If you want to talk to a project team member privately, click on any member in the Gitter chat room and choose
  "Chat Privately". Please feel free to reach out to the [project leaders](PEOPLE.md#project-leaders) if you want to
  discuss large collaborations or adopting the project for your own use.

* Please do not hesitate to reach out to the project leaders directly to report any kind of abuse, harassment,
  or other concerns.

## Contributing
Please read through our [contributing guidelines](CONTRIBUTING.md). Included are guidelines for opening issues,
information about the organization of the project as well as this repository, directions for setting up your
development environment, opening pull requests, coding standards, notes on development, and directions for
deploying the application.

### Further documentation
See the [Wiki](https://github.com/cs-education/sysbuild/wiki) for information about the technology stack used,
project road maps, learning resources, and other information.

## Credits
See [CREDITS.md](CREDITS.md).

## License
See [LICENSE.md](LICENSE.md) for copyright, license, attribution and other legal information.
